Deployment for phone
Main Provisioning for the phones
HTTP:
Instance ApiKey in Bearer Header
Authenticate using the Users global api key in Header'
- When using a Voxbi pbx this is md5(instanceApiKey)
- Not supported for MIXpbx
- HTTP Authorization Scheme
bearer
API Key:
Instance ApiKey in Query
Authenticate using the Users global api key in Query
- When using a Voxbi pbx this is md5(instanceApiKey)
- Not supported for MIXpbx
- Parameter name
key- Located in
query
mac
query · string
*
MAC of the phone to deploy
User-Agent
header · string
User agent used to determine the vendor and model of the phone
example:
Yealink SIP-T53 XX.XX.YY.ZZ AA:BB:CC:DD:EE:FFResponses
Phone configuration
Response schema
No response body.
get
https://{username}.voxbi.cloud/api/{version}/phone/deployment
Base URL
https://{username}.voxbi.cloud/api/{version}
Request sample
curl -X GET 'https://{username}.voxbi.cloud/api/{version}/phone/deployment' \
-H 'Authorization: Bearer YOUR_TOKEN'
const response = await fetch('https://{username}.voxbi.cloud/api/{version}/phone/deployment', {
method: 'GET',
headers: {
'Content-Type': 'application/json',
'Authorization': `Bearer ${YOUR_TOKEN}`,
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get('https://{username}.voxbi.cloud/api/{version}/phone/deployment',
headers={'Authorization': f'Bearer {YOUR_TOKEN}'}
)
response.raise_for_status()
data = response.json()
print(data)
<?php
$context = stream_context_create([
'http' => [
'method' => 'GET',
'header' => "Content-Type: application/json\r\nAuthorization: Bearer YOUR_TOKEN",
],
]);
$response = file_get_contents('https://{username}.voxbi.cloud/api/{version}/phone/deployment', false, $context);
$data = json_decode($response, true);
print_r($data);
No example for this status.